# from wordpress import API
# import requests
# import base64
import json
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver import ChromeOptions
from pyfacebook import GraphAPI

def get_driver_version(dr):
    for k, v in dr.capabilities.items():
        if k == 'chrome' or k == 'browserVersion':
            if k == 'chrome':
                vers = v['chromedriverVersion']
                print('Driver version', vers[:vers.index('(') - 1])
                print(end='\n' * 2)
                dr_version = vers[:vers.index('(') - 1]
            else:
                print('Browser version', v)
                print(end='\n' * 2)
                br_version = v
    return (dr_version, br_version)


options = ChromeOptions()
options.add_argument('--headless')

# Get last post_id title, text and link
driver = webdriver.Chrome(options=options)
get_driver_version(dr=driver)
driver.get('http://taxwizard.ro/?cat=36')

title = driver.find_element(By.XPATH, '//*[@id="blog-item-holder"]/div[1]/div[2]/h2/a')
body = driver.find_element(By.XPATH, '//*[@id="blog-item-holder"]/div[1]/div[2]/div[1]')

body_text = body.text
title_text = title.text
link = title.get_attribute('href')
driver.close()
tags = '#codfiscal,#impozit-micro,#PFA'
data = {"message": title_text + 2 * '\n' + body_text + ' ......' + tags, 'link': link}

print(data['message'], '\n')

# Create Graph api object
with open('.token') as file:
    token = file.read()
graph = GraphAPI(access_token=token)
page = graph.get_object('568089086661039')
print(page)

# Post to facebook page
post_id = graph.post_object('568089086661039', connection='feed', data=data)
print(post_id)

# post_id = {'id': '568089086661039_2611622175641043'}

# Save post to json
post_link = {'link': link}
post = {**post_link, **post_id}
with open('last_post.json', mode='a') as file:
    file.write('\n')
    json.dump(post, file)
